be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class ConsultationDocumentType

- java.lang.Object
- - be.fgov.ehealth.ehbox.consultation.protocol.v3.ConsultationDocumentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:21:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultationDocumentType
      extends Object
      implements Serializable

  Specifies content of a Document message

  Java class for ConsultationDocumentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultationDocumentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Title">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <maxLength value="400"/>
                   </restriction>
                 </simpleType>
               </element>
               <choice>
                 <element name="EncryptableBinaryContent" type="{http://ws-i.org/profiles/basic/1.1/xsd}swaRef"/>
                 <element name="EncryptableTextContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               </choice>
               <element name="DownloadFileName">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <maxLength value="255"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="MimeType">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <maxLength value="255"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultationDocumentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDownloadFileName()` Gets the value of the downloadFileName property.
    `DataHandler` | `getEncryptableBinaryContent()` Gets the value of the encryptableBinaryContent property.
    `byte[]` | `getEncryptableTextContent()` Gets the value of the encryptableTextContent property.
    `String` | `getMimeType()` Gets the value of the mimeType property.
    `String` | `getTitle()` Gets the value of the title property.
    `void` | `setDownloadFileName(String value)` Sets the value of the downloadFileName property.
    `void` | `setEncryptableBinaryContent(DataHandler value)` Sets the value of the encryptableBinaryContent property.
    `void` | `setEncryptableTextContent(byte[] value)` Sets the value of the encryptableTextContent property.
    `void` | `setMimeType(String value)` Sets the value of the mimeType property.
    `void` | `setTitle(String value)` Sets the value of the title property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultationDocumentType

          public ConsultationDocumentType()

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `String`

    - #### setTitle

          public void setTitle(String value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEncryptableTextContent

          public byte[] getEncryptableTextContent()

      Gets the value of the encryptableTextContent property.
      Returns:
        possible object is byte[]

    - #### setEncryptableTextContent

          public void setEncryptableTextContent(byte[] value)

      Sets the value of the encryptableTextContent property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getEncryptableBinaryContent

          public DataHandler getEncryptableBinaryContent()

      Gets the value of the encryptableBinaryContent property.
      Returns:
        possible object is `String`

    - #### setEncryptableBinaryContent

          public void setEncryptableBinaryContent(DataHandler value)

      Sets the value of the encryptableBinaryContent property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDownloadFileName

          public String getDownloadFileName()

      Gets the value of the downloadFileName property.
      Returns:
        possible object is `String`

    - #### setDownloadFileName

          public void setDownloadFileName(String value)

      Sets the value of the downloadFileName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMimeType

          public String getMimeType()

      Gets the value of the mimeType property.
      Returns:
        possible object is `String`

    - #### setMimeType

          public void setMimeType(String value)

      Sets the value of the mimeType property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.